Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat
Class Attribute

    java.lang.Object
      com.huguesjohnson.tiamat.NamedObject
          com.huguesjohnson.tiamat.Attribute

All Implemented Interfaces:
  Storable

public class Attribute
extends NamedObject

Attribute - used to store character attributes

Author:
  Hugues Johnson

Constructor Summary
`Attribute(java.lang.String name, java.lang.String description, long baseValue)`
`Attribute(java.lang.String name, java.lang.String description, long baseValue, long currentValue)`

Method Summary
`long` | `getBaseValue()`
`long` | `getCurrentValue()`
`void` | `setBaseValue(long baseValue)`
`void` | `setCurrentValue(long currentValue)`
`java.lang.String` | `toString()` returns a string representation of the object

Methods inherited from class com.huguesjohnson.tiamat.NamedObject
`getDescription, getName, onDeserialize, setDescription, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Attribute

    public Attribute(java.lang.String name,
                     java.lang.String description,
                     long baseValue)

### Attribute

    public Attribute(java.lang.String name,
                     java.lang.String description,
                     long baseValue,
                     long currentValue)

Method Detail

### getBaseValue

    public long getBaseValue()

### setBaseValue

    public void setBaseValue(long baseValue)

### getCurrentValue

    public long getCurrentValue()

### setCurrentValue

    public void setCurrentValue(long currentValue)

### toString

    public java.lang.String toString()

  returns a string representation of the object

  Overrides:
    `toString` in class `NamedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD